//ciUPkyh2ajCsLH3B/LqV/pwC3ZWlShL5FML3nqwPODSMsMJCvRP+N9WpYvVosl2H
package nc.vo.arap.agiotage;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;

import nc.vo.pub.IVOMeta;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;

/**
 * <b> 在此处简要描述此类的功能 </b>
 * <p>
 * 在此处添加此类的描述信息
 * </p>
 * 创建日期:2010-01-20 15:36:53
 * 
 * @author
 * @version NCPrj ??
 */
public class ArapBusiDataVO extends SuperVO {

	private static final long serialVersionUID = 1L;

	public static final String HXSEQ = "hxseq";
	public static final String HXKEY = "hxkey";

	// 缓存元数据字段，用于判断是否元数据字段
	private static List<String> attributeNames = Arrays.asList(new String[] { "approver", "billclass", "billdate",
			"billno", "billstatus", "contractno", "costcenter", "customer", "def1", "def10", "def11", "def12", "def13",
			"def14", "def15", "def16", "def17", "def18", "def19", "def2", "direction", "dr", "estflag", "expiredate",
			"global_money_bal", "global_money_cr", "global_money_de", "globalrate", "group_money_bal", "group_money_cr",
			"group_money_de", "grouprate", "headsubjcode", "innerctldeferdays", "insurance", "invoiceno", "isinit",
			"istransin", "local_money_bal", "local_money_cr", "local_money_de", "material", "money_bal", "money_cr",
			"money_de", "objtype", "occupationmny", "operator", "ordercubasdoc", "outbusitype", "pausetransact",
			"pk_areacl", "pk_balatype", "pk_bill", "pk_billtype", "pk_busidata", "pk_busitype", "pk_costsubj",
			"pk_currtype", "pk_deptid", "pk_group", "pk_item", "pk_org", "pk_pcorg", "pk_psndoc", "pk_termitem",
			"pk_tradetype", "pk_tradetypeid", "prepay", "price", "productline", "project", "project_task", "pu_deptid",
			"pu_org", "pu_psndoc", "purchaseorder", "quantity_bal", "quantity_cr", "quantity_de", "rate", "sett_org",
			"so_deptid", "so_ordertype", "so_org", "so_psndoc", "so_transtype", "src_billid", "src_itemid",
			"src_syscode", "subjcode", "sum_headmoney", "sum_itemmoney", "supplier", "syscode", "top_billid",
			"top_billtype", "top_itemid", "ts", "def1", "def2", "def3", "def4", "def5", "def6", "def7", "def8", "def9",
			"def10", "def11", "def12", "def13", "def14", "def15", "def16", "def17", "def18", "def19", "def20", "def21",
			"def22", "def23", "def24", "def25", "def26", "def27", "def28", "def29", "def30", "def31", "def32", "def33",
			"def34", "def35", "def36", "def37", "def38", "def39", "def40", "def41", "def42", "def43", "def44", "def45",
			"def46", "def47", "def48", "def49", "def50", "def51", "def52", "def53", "def54", "def55", "def56", "def57",
			"def58", "def59", "def60", "def61", "def62", "def63", "def64", "def65", "def66", "def67", "def68", "def69",
			"def70", "def71", "def72", "def73", "def74", "def75", "def76", "def77", "def78", "def79", "def80", "def81",
			"def82", "def83", "def84", "def85", "def86", "def87", "def88", "def89", "def90", "def91", "def92", "def93",
			"def94", "def95", "def96", "def97", "def98", "def99", "def100", "isrefund" });

	public ArapBusiDataVO() {
		super();
	}

	@Override
	public String[] getAttributeNames() {
		return super.getAttributeNames();
	}

	private java.lang.String pk_busidata;
	private java.lang.String pk_org;
	private java.lang.String pk_group;
	private java.lang.String pk_termitem;
	private java.lang.String pk_bill;
	private java.lang.String pk_item;
	private java.lang.String pk_billtype;
	private java.lang.String pk_tradetype;
	private java.lang.String pk_tradetypeid;
	private java.lang.String billclass;
	private nc.vo.pub.lang.UFDate expiredate;
	private nc.vo.pub.lang.UFBoolean isinit;
	private nc.vo.pub.lang.UFBoolean pausetransact;
	private java.lang.String billno;
	private nc.vo.pub.lang.UFDate busidate;
	private nc.vo.pub.lang.UFDate inner_effect_date;
	private java.lang.Integer effectstatus;
	private nc.vo.pub.lang.UFDate billdate;
	private nc.vo.pub.lang.UFDateTime approvedate;
	private nc.vo.pub.lang.UFDate effectdate;
	private java.lang.Integer syscode;
	private java.lang.Integer src_syscode;
	private java.lang.String operator;
	private java.lang.String approver;
	private java.lang.String customer;
	private java.lang.String supplier;
	private java.lang.String pk_deptid;
	private java.lang.String pk_psndoc;
	private java.lang.String pk_costsubj;
	private nc.vo.pub.lang.UFDouble occupationmny;
	private java.lang.Integer objtype;
	private java.lang.Integer direction;
	private java.lang.String pk_currtype;
	private nc.vo.pub.lang.UFDouble rate;
	private nc.vo.pub.lang.UFDouble grouprate;
	private nc.vo.pub.lang.UFDouble globalrate;
	private nc.vo.pub.lang.UFDouble money_de = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble local_money_de = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble local_money_cr = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble money_cr = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble money_bal = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble local_money_bal = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble group_money_bal = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble group_money_cr = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble group_money_de = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble global_money_bal = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble global_money_cr = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble global_money_de = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble quantity_de = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble quantity_cr = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble quantity_bal = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble price = UFDouble.ZERO_DBL;
	private java.lang.String material;
	private java.lang.String pk_subjcode;
	private java.lang.String ordercubasdoc;
	private java.lang.String pk_balatype;
	private java.lang.String top_billid;
	private java.lang.String top_itemid;
	private java.lang.String top_billtype;
	private java.lang.String h_def30;
	private java.lang.String h_def29;
	private java.lang.String h_def28;
	private java.lang.String h_def27;
	private java.lang.String h_def26;
	private java.lang.String h_def25;
	private java.lang.String h_def24;
	private java.lang.String h_def23;
	private java.lang.String h_def22;
	private java.lang.String h_def21;
	private java.lang.String h_def20;
	private java.lang.String h_def19;
	private java.lang.String h_def18;
	private java.lang.String h_def17;
	private java.lang.String h_def16;
	private java.lang.String h_def15;
	private java.lang.String h_def14;
	private java.lang.String h_def13;
	private java.lang.String h_def12;
	private java.lang.String h_def11;
	private java.lang.String h_def10;
	private java.lang.String h_def9;
	private java.lang.String h_def8;
	private java.lang.String h_def7;
	private java.lang.String h_def6;
	private java.lang.String h_def5;
	private java.lang.String h_def4;
	private java.lang.String h_def3;
	private java.lang.String h_def2;
	private java.lang.String h_def1;
	private java.lang.String def30;
	private java.lang.String def29;
	private java.lang.String def28;
	private java.lang.String def27;
	private java.lang.String def26;
	private java.lang.String def25;
	private java.lang.String def24;
	private java.lang.String def23;
	private java.lang.String def22;
	private java.lang.String def21;
	private java.lang.String def20;
	private java.lang.String def19;
	private java.lang.String def18;
	private java.lang.String def17;
	private java.lang.String def16;
	private java.lang.String def15;
	private java.lang.String def14;
	private java.lang.String def13;
	private java.lang.String def12;
	private java.lang.String def11;
	private java.lang.String def10;
	private java.lang.String def9;
	private java.lang.String def8;
	private java.lang.String def7;
	private java.lang.String def6;
	private java.lang.String def5;
	private java.lang.String def4;
	private java.lang.String def3;
	private java.lang.String def2;
	private java.lang.String def1;
	private java.lang.Integer dr = 0;
	private nc.vo.pub.lang.UFDateTime ts;
	private nc.vo.pub.lang.UFDouble money;
	private nc.vo.pub.lang.UFDouble local_money;
	private nc.vo.pub.lang.UFDouble quantity;
	private nc.vo.pub.lang.UFDouble sum_money = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble sum_money_bal = UFDouble.ZERO_DBL;
	private nc.vo.pub.lang.UFDouble this_sett = UFDouble.ZERO_DBL;

	private java.lang.String sett_org;
	private java.lang.String productline;
	private java.lang.String so_ordertype;
	private java.lang.String so_transtype;
	private java.lang.String so_org;
	private java.lang.String so_deptid;
	private java.lang.String so_psndoc;
	private java.lang.String pk_busitype;
	private java.lang.String headsubjcode;
	private java.lang.String subjcode;
	private java.lang.String pk_pcorg;
	private java.lang.String pu_org;
	private java.lang.String pu_deptid;
	private java.lang.String pu_psndoc;
	private nc.vo.pub.lang.UFBoolean insurance;
	private java.lang.String pk_areacl;
	private java.lang.Integer estflag;
	private java.lang.Integer prepay;
	private java.lang.String costcenter;
	private java.lang.String cashaccount;

	private java.lang.String src_billid;
	private java.lang.String src_itemid;
	private java.lang.String src_org;

	// cloud新增加
	private String def31;
	private String def32;
	private String def33;
	private String def34;
	private String def35;
	private String def36;
	private String def37;
	private String def38;
	private String def39;
	private String def40;
	private String def41;
	private String def42;
	private String def43;
	private String def44;
	private String def45;
	private String def46;
	private String def47;
	private String def48;
	private String def49;
	private String def50;
	private String def51;
	private String def52;
	private String def53;
	private String def54;
	private String def55;
	private String def56;
	private String def57;
	private String def58;
	private String def59;
	private String def60;
	private String def61;
	private String def62;
	private String def63;
	private String def64;
	private String def65;
	private String def66;
	private String def67;
	private String def68;
	private String def69;
	private String def70;
	private String def71;
	private String def72;
	private String def73;
	private String def74;
	private String def75;
	private String def76;
	private String def77;
	private String def78;
	private String def79;
	private String def80;
	private String def81;
	private String def82;
	private String def83;
	private String def84;
	private String def85;
	private String def86;
	private String def87;
	private String def88;
	private String def89;
	private String def90;
	private String def91;
	private String def92;
	private String def93;
	private String def94;
	private String def95;
	private String def96;
	private String def97;
	private String def98;
	private String def99;
	private String def100;
	private String linkedPk;// 核销查询数据分录行合并，存合并分录行的主键
	private String pk_recpaytype;// 收付款类型，用于生成tally表数据时传递数据
	private nc.vo.pub.lang.UFBoolean isEditMoney;// 是否修改金额
	private nc.vo.pub.lang.UFBoolean isrefund;// 是否退款，标记退款单使用
	private Integer saga_frozen;// 冻结状态
	private Integer saga_status;// 事务状态

	public String getDef31() {
		return def31;
	}

	public void setDef31(String def31) {
		this.def31 = def31;
	}

	public String getDef32() {
		return def32;
	}

	public void setDef32(String def32) {
		this.def32 = def32;
	}

	public String getDef33() {
		return def33;
	}

	public void setDef33(String def33) {
		this.def33 = def33;
	}

	public String getDef34() {
		return def34;
	}

	public void setDef34(String def34) {
		this.def34 = def34;
	}

	public String getDef35() {
		return def35;
	}

	public void setDef35(String def35) {
		this.def35 = def35;
	}

	public String getDef36() {
		return def36;
	}

	public void setDef36(String def36) {
		this.def36 = def36;
	}

	public String getDef37() {
		return def37;
	}

	public void setDef37(String def37) {
		this.def37 = def37;
	}

	public String getDef38() {
		return def38;
	}

	public void setDef38(String def38) {
		this.def38 = def38;
	}

	public String getDef39() {
		return def39;
	}

	public void setDef39(String def39) {
		this.def39 = def39;
	}

	public String getDef40() {
		return def40;
	}

	public void setDef40(String def40) {
		this.def40 = def40;
	}

	public String getDef41() {
		return def41;
	}

	public void setDef41(String def41) {
		this.def41 = def41;
	}

	public String getDef42() {
		return def42;
	}

	public void setDef42(String def42) {
		this.def42 = def42;
	}

	public String getDef43() {
		return def43;
	}

	public void setDef43(String def43) {
		this.def43 = def43;
	}

	public String getDef44() {
		return def44;
	}

	public void setDef44(String def44) {
		this.def44 = def44;
	}

	public String getDef45() {
		return def45;
	}

	public void setDef45(String def45) {
		this.def45 = def45;
	}

	public String getDef46() {
		return def46;
	}

	public void setDef46(String def46) {
		this.def46 = def46;
	}

	public String getDef47() {
		return def47;
	}

	public void setDef47(String def47) {
		this.def47 = def47;
	}

	public String getDef48() {
		return def48;
	}

	public void setDef48(String def48) {
		this.def48 = def48;
	}

	public String getDef49() {
		return def49;
	}

	public void setDef49(String def49) {
		this.def49 = def49;
	}

	public String getDef50() {
		return def50;
	}

	public void setDef50(String def50) {
		this.def50 = def50;
	}

	public String getDef51() {
		return def51;
	}

	public void setDef51(String def51) {
		this.def51 = def51;
	}

	public String getDef52() {
		return def52;
	}

	public void setDef52(String def52) {
		this.def52 = def52;
	}

	public String getDef53() {
		return def53;
	}

	public void setDef53(String def53) {
		this.def53 = def53;
	}

	public String getDef54() {
		return def54;
	}

	public void setDef54(String def54) {
		this.def54 = def54;
	}

	public String getDef55() {
		return def55;
	}

	public void setDef55(String def55) {
		this.def55 = def55;
	}

	public String getDef56() {
		return def56;
	}

	public void setDef56(String def56) {
		this.def56 = def56;
	}

	public String getDef57() {
		return def57;
	}

	public void setDef57(String def57) {
		this.def57 = def57;
	}

	public String getDef58() {
		return def58;
	}

	public void setDef58(String def58) {
		this.def58 = def58;
	}

	public String getDef59() {
		return def59;
	}

	public void setDef59(String def59) {
		this.def59 = def59;
	}

	public String getDef60() {
		return def60;
	}

	public void setDef60(String def60) {
		this.def60 = def60;
	}

	public String getDef61() {
		return def61;
	}

	public void setDef61(String def61) {
		this.def61 = def61;
	}

	public String getDef62() {
		return def62;
	}

	public void setDef62(String def62) {
		this.def62 = def62;
	}

	public String getDef63() {
		return def63;
	}

	public void setDef63(String def63) {
		this.def63 = def63;
	}

	public String getDef64() {
		return def64;
	}

	public void setDef64(String def64) {
		this.def64 = def64;
	}

	public String getDef65() {
		return def65;
	}

	public void setDef65(String def65) {
		this.def65 = def65;
	}

	public String getDef66() {
		return def66;
	}

	public void setDef66(String def66) {
		this.def66 = def66;
	}

	public String getDef67() {
		return def67;
	}

	public void setDef67(String def67) {
		this.def67 = def67;
	}

	public String getDef68() {
		return def68;
	}

	public void setDef68(String def68) {
		this.def68 = def68;
	}

	public String getDef69() {
		return def69;
	}

	public void setDef69(String def69) {
		this.def69 = def69;
	}

	public String getDef70() {
		return def70;
	}

	public void setDef70(String def70) {
		this.def70 = def70;
	}

	public String getDef71() {
		return def71;
	}

	public void setDef71(String def71) {
		this.def71 = def71;
	}

	public String getDef72() {
		return def72;
	}

	public void setDef72(String def72) {
		this.def72 = def72;
	}

	public String getDef73() {
		return def73;
	}

	public void setDef73(String def73) {
		this.def73 = def73;
	}

	public String getDef74() {
		return def74;
	}

	public void setDef74(String def74) {
		this.def74 = def74;
	}

	public String getDef75() {
		return def75;
	}

	public void setDef75(String def75) {
		this.def75 = def75;
	}

	public String getDef76() {
		return def76;
	}

	public void setDef76(String def76) {
		this.def76 = def76;
	}

	public String getDef77() {
		return def77;
	}

	public void setDef77(String def77) {
		this.def77 = def77;
	}

	public String getDef78() {
		return def78;
	}

	public void setDef78(String def78) {
		this.def78 = def78;
	}

	public String getDef79() {
		return def79;
	}

	public void setDef79(String def79) {
		this.def79 = def79;
	}

	public String getDef80() {
		return def80;
	}

	public void setDef80(String def80) {
		this.def80 = def80;
	}

	public String getDef81() {
		return def81;
	}

	public void setDef81(String def81) {
		this.def81 = def81;
	}

	public String getDef82() {
		return def82;
	}

	public void setDef82(String def82) {
		this.def82 = def82;
	}

	public String getDef83() {
		return def83;
	}

	public void setDef83(String def83) {
		this.def83 = def83;
	}

	public String getDef84() {
		return def84;
	}

	public void setDef84(String def84) {
		this.def84 = def84;
	}

	public String getDef85() {
		return def85;
	}

	public void setDef85(String def85) {
		this.def85 = def85;
	}

	public String getDef86() {
		return def86;
	}

	public void setDef86(String def86) {
		this.def86 = def86;
	}

	public String getDef87() {
		return def87;
	}

	public void setDef87(String def87) {
		this.def87 = def87;
	}

	public String getDef88() {
		return def88;
	}

	public void setDef88(String def88) {
		this.def88 = def88;
	}

	public String getDef89() {
		return def89;
	}

	public void setDef89(String def89) {
		this.def89 = def89;
	}

	public String getDef90() {
		return def90;
	}

	public void setDef90(String def90) {
		this.def90 = def90;
	}

	public String getDef91() {
		return def91;
	}

	public void setDef91(String def91) {
		this.def91 = def91;
	}

	public String getDef92() {
		return def92;
	}

	public void setDef92(String def92) {
		this.def92 = def92;
	}

	public String getDef93() {
		return def93;
	}

	public void setDef93(String def93) {
		this.def93 = def93;
	}

	public String getDef94() {
		return def94;
	}

	public void setDef94(String def94) {
		this.def94 = def94;
	}

	public String getDef95() {
		return def95;
	}

	public void setDef95(String def95) {
		this.def95 = def95;
	}

	public String getDef96() {
		return def96;
	}

	public void setDef96(String def96) {
		this.def96 = def96;
	}

	public String getDef97() {
		return def97;
	}

	public void setDef97(String def97) {
		this.def97 = def97;
	}

	public String getDef98() {
		return def98;
	}

	public void setDef98(String def98) {
		this.def98 = def98;
	}

	public String getDef99() {
		return def99;
	}

	public void setDef99(String def99) {
		this.def99 = def99;
	}

	public String getDef100() {
		return def100;
	}

	public void setDef100(String def100) {
		this.def100 = def100;
	}

	public java.lang.String getSrc_org() {
		return src_org;
	}

	public void setSrc_org(java.lang.String srcOrg) {
		src_org = srcOrg;
	}

	public java.lang.String getCashaccount() {
		return cashaccount;
	}

	public void setCashaccount(java.lang.String cashaccount) {
		this.cashaccount = cashaccount;
	}

	public java.lang.String getSrc_billid() {
		return src_billid;
	}

	public void setSrc_billid(java.lang.String srcBillid) {
		src_billid = srcBillid;
	}

	public java.lang.String getSrc_itemid() {
		return src_itemid;
	}

	public void setSrc_itemid(java.lang.String srcItemid) {
		src_itemid = srcItemid;
	}

	public nc.vo.pub.lang.UFBoolean getIsrefund() {
		return isrefund;
	}

	public void setIsrefund(nc.vo.pub.lang.UFBoolean isrefund) {
		this.isrefund = isrefund;
	}

	// 往来对象pk
	private java.lang.String wldxpk;
	// 是否转出
	private nc.vo.pub.lang.UFBoolean istransin;

	private nc.vo.pub.lang.UFDouble hzybye;
	private nc.vo.pub.lang.UFDouble hzbbye;
	private java.lang.Integer billstatus;

	private String invoiceno;
	// 订单号
	private String purchaseorder;
	// 合同号
	private String contractno;
	private String project_task;
	private String project;
	private nc.vo.pub.lang.UFDate innerctldeferdays;
	private nc.vo.pub.lang.UFDouble sum_headmoney;
	private nc.vo.pub.lang.UFDouble sum_itemmoney;

	boolean isshlclear = false;

	public java.lang.String getCostcenter() {
		return costcenter;
	}

	public void setCostcenter(java.lang.String costcenter) {
		this.costcenter = costcenter;
	}

	public boolean isIsshlclear() {
		return isshlclear;
	}

	public void setIsshlclear(boolean isshlclear) {
		this.isshlclear = isshlclear;
	}

	public java.lang.Integer getBillstatus() {
		return billstatus;
	}

	public void setBillstatus(java.lang.Integer billstatus) {
		this.billstatus = billstatus;
	}

	public String getInvoiceno() {
		return invoiceno;
	}

	public void setInvoiceno(String invoiceno) {
		this.invoiceno = invoiceno;
	}

	public String getPurchaseorder() {
		return purchaseorder;
	}

	public void setPurchaseorder(String purchaseorder) {
		this.purchaseorder = purchaseorder;
	}

	public String getContractno() {
		return contractno;
	}

	public void setContractno(String contractno) {
		this.contractno = contractno;
	}

	public java.lang.Integer getPrepay() {
		return prepay;
	}

	public void setPrepay(java.lang.Integer prepay) {
		this.prepay = prepay;
	}

	public nc.vo.pub.lang.UFDouble getHzybye() {
		return this.hzybye;
	}

	public void setHzybye(nc.vo.pub.lang.UFDouble hzybye) {
		this.hzybye = hzybye;
	}

	public nc.vo.pub.lang.UFDouble getHzbbye() {
		return this.hzbbye;
	}

	public void setHzbbye(nc.vo.pub.lang.UFDouble hzbbye) {
		this.hzbbye = hzbbye;
	}

	public nc.vo.pub.lang.UFDouble getSum_money() {
		return this.sum_money;
	}

	public void setSum_money(nc.vo.pub.lang.UFDouble sumMoney) {
		this.sum_money = sumMoney;
	}

	public nc.vo.pub.lang.UFDouble getSum_money_bal() {
		return this.sum_money_bal;
	}

	public void setSum_money_bal(nc.vo.pub.lang.UFDouble sumMoneybal) {
		this.sum_money_bal = sumMoneybal;
	}

	public nc.vo.pub.lang.UFDouble getThis_sett() {
		return this_sett;
	}

	public void setThis_sett(nc.vo.pub.lang.UFDouble this_sett) {
		this.this_sett = this_sett;
	}

	public nc.vo.pub.lang.UFDouble getLocal_money() {
		if (new Integer(this.getAttributeValue(ArapBusiDataVO.DIRECTION).toString()) == 1) {
			this.local_money = this.local_money_de;
		} else if (new Integer(this.getAttributeValue(ArapBusiDataVO.DIRECTION).toString()) == -1) {
			this.local_money = this.local_money_cr;
		}
		return this.local_money;
	}

	public IVOMeta getMetaData() {
		return VOMetaFactory.getInstance().getVOMeta("arap.arap_busidata");
	}

	public void setLocal_money(nc.vo.pub.lang.UFDouble localMoney) {
		this.local_money = localMoney;
	}

	public nc.vo.pub.lang.UFDouble getQuantity() {
		if (new Integer(this.getAttributeValue(ArapBusiDataVO.DIRECTION).toString()) == 1) {
			this.quantity = this.quantity_de;
		} else if (new Integer(this.getAttributeValue(ArapBusiDataVO.DIRECTION).toString()) == -1) {
			this.quantity = this.quantity_cr;
		}
		return this.quantity;
	}

	public void setQuantity(nc.vo.pub.lang.UFDouble quantity) {
		this.quantity = quantity;
	}

	public nc.vo.pub.lang.UFDouble getMoney() {
		if (new Integer(this.getAttributeValue(ArapBusiDataVO.DIRECTION).toString()) == 1) {
			this.money = this.money_de;
		} else if (new Integer(this.getAttributeValue(ArapBusiDataVO.DIRECTION).toString()) == -1) {
			this.money = this.money_cr;
		}
		return this.money;
	}

	public void setMoney(nc.vo.pub.lang.UFDouble money) {
		this.money = money;
	}

	public String getWldxpk() {
		if ((this.getObjtype() != null) && (this.getObjtype().intValue() == 0)) {
			this.wldxpk = this.getCustomer();
		} else if ((this.getObjtype() != null) && (this.getObjtype().intValue() == 1)) {
			this.wldxpk = this.getSupplier();
		} else if ((this.getObjtype() != null) && (this.getObjtype().intValue() == 2)) {
			this.wldxpk = this.getPk_deptid();
		} else if ((this.getObjtype() != null) && (this.getObjtype().intValue() == 3)) {
			this.wldxpk = this.getPk_psndoc();
		}
		return this.wldxpk;
	}

	/**
	 * @param m_wldxpk 要设置的 m_wldxpk。
	 */
	public void setWldxpk(String wldxpk) {
		this.wldxpk = wldxpk;
	}

	public static final String PK_BUSIDATA = "pk_busidata";
	public static final String PK_ORG = "pk_org";
	public static final String PK_GROUP = "pk_group";
	public static final String PK_TERMITEM = "pk_termitem";
	public static final String PK_BILL = "pk_bill";
	public static final String PK_ITEM = "pk_item";
	public static final String PK_BILLTYPE = "pk_billtype";
	public static final String PK_TRADETYPE = "pk_tradetype";
	public static final String PK_TRADETYPEID = "pk_tradetypeid";
	public static final String BILLCLASS = "billclass";
	public static final String EXPIREDATE = "expiredate";
	public static final String ISINIT = "isinit";
	public static final String BILLNO = "billno";
	public static final String BILLDATE = "billdate";
	public static final String SYSCODE = "syscode";
	public static final String SRC_SYSCODE = "src_syscode";
	public static final String OPERATOR = "operator";
	public static final String APPROVER = "approver";
	public static final String CUSTOMER = "customer";
	public static final String SUPPLIER = "supplier";
	public static final String PK_DEPTID = "pk_deptid";
	public static final String PK_PSNDOC = "pk_psndoc";
	public static final String PK_COSTSUBJ = "pk_costsubj";
	public static final String OCCUPATIONMNY = "occupationmny";
	public static final String OBJTYPE = "objtype";
	public static final String DIRECTION = "direction";
	public static final String PK_CURRTYPE = "pk_currtype";
	public static final String RATE = "rate";
	public static final String GROUPRATE = "grouprate";
	public static final String GLOBALRATE = "globalrate";
	public static final String MONEY_DE = "money_de";
	public static final String LOCAL_MONEY_DE = "local_money_de";
	public static final String LOCAL_MONEY_CR = "local_money_cr";
	public static final String MONEY_CR = "money_cr";
	public static final String MONEY_BAL = "money_bal";
	public static final String LOCAL_MONEY_BAL = "local_money_bal";
	public static final String GROUP_MONEY_BAL = "group_money_bal";
	public static final String GROUP_MONEY_CR = "group_money_cr";
	public static final String GROUP_MONEY_DE = "group_money_de";
	public static final String GLOBAL_MONEY_BAL = "global_money_bal";
	public static final String GLOBAL_MONEY_CR = "global_money_cr";
	public static final String GLOBAL_MONEY_DE = "global_money_de";
	public static final String QUANTITY_DE = "quantity_de";
	public static final String QUANTITY_CR = "quantity_cr";
	public static final String QUANTITY_BAL = "quantity_bal";
	public static final String MATERIAL = "material";
	public static final String ORDERCUBASDOC = "ordercubasdoc";
	public static final String PK_BALATYPE = "pk_balatype";
	public static final String TOP_BILLID = "top_billid";
	public static final String TOP_ITEMID = "top_itemid";
	public static final String TOP_BILLTYPE = "top_billtype";
	public static final String PK_BUSITYPE = "pk_busitype";

	public static final String H_DEF30 = "h_def30";
	public static final String H_DEF29 = "h_def29";
	public static final String H_DEF28 = "h_def28";
	public static final String H_DEF27 = "h_def27";
	public static final String H_DEF26 = "h_def26";
	public static final String H_DEF25 = "h_def25";
	public static final String H_DEF24 = "h_def24";
	public static final String H_DEF23 = "h_def23";
	public static final String H_DEF22 = "h_def22";
	public static final String H_DEF21 = "h_def21";
	public static final String H_DEF20 = "h_def20";
	public static final String H_DEF19 = "h_def19";
	public static final String H_DEF18 = "h_def18";
	public static final String H_DEF17 = "h_def17";
	public static final String H_DEF16 = "h_def16";
	public static final String H_DEF15 = "h_def15";
	public static final String H_DEF14 = "h_def14";
	public static final String H_DEF13 = "h_def13";
	public static final String H_DEF12 = "h_def12";
	public static final String H_DEF11 = "h_def11";
	public static final String H_DEF10 = "h_def10";
	public static final String H_DEF9 = "h_def9";
	public static final String H_DEF8 = "h_def8";
	public static final String H_DEF7 = "h_def7";
	public static final String H_DEF6 = "h_def6";
	public static final String H_DEF5 = "h_def5";
	public static final String H_DEF4 = "h_def4";
	public static final String H_DEF3 = "h_def3";
	public static final String H_DEF2 = "h_def2";
	public static final String H_DEF1 = "h_def1";
	public static final String DEF30 = "def30";
	public static final String DEF29 = "def29";
	public static final String DEF28 = "def28";
	public static final String DEF27 = "def27";
	public static final String DEF26 = "def26";
	public static final String DEF25 = "def25";
	public static final String DEF24 = "def24";
	public static final String DEF23 = "def23";
	public static final String DEF22 = "def22";
	public static final String DEF21 = "def21";
	public static final String DEF20 = "def20";
	public static final String DEF19 = "def19";
	public static final String DEF18 = "def18";
	public static final String DEF17 = "def17";
	public static final String DEF16 = "def16";
	public static final String DEF15 = "def15";
	public static final String DEF14 = "def14";
	public static final String DEF13 = "def13";
	public static final String DEF12 = "def12";
	public static final String DEF11 = "def11";
	public static final String DEF10 = "def10";
	public static final String DEF9 = "def9";
	public static final String DEF8 = "def8";
	public static final String DEF7 = "def7";
	public static final String DEF6 = "def6";
	public static final String DEF5 = "def5";
	public static final String DEF4 = "def4";
	public static final String DEF3 = "def3";
	public static final String DEF2 = "def2";
	public static final String DEF1 = "def1";

	public static final String SETT_ORG = "sett_org";
	public static final String PRODUCTLINE = "productline";
	public static final String SO_ORDERTYPE = "so_ordertype";
	public static final String SO_TRANSTYPE = "so_transtype";
	public static final String SO_ORG = "so_org";
	public static final String SO_DEPTID = "so_deptid";
	public static final String SO_PSNDOC = "so_psndoc";
	public static final String HEADSUBJCODE = "headsubjcode";
	public static final String SUBJCODE = "subjcode";
	public static final String PK_PCORG = "pk_pcorg";
	public static final String PU_ORG = "pu_org";
	public static final String PU_DEPTID = "pu_deptid";
	public static final String PU_PSNDOC = "pu_psndoc";
	public static final String PK_AREACL = "pk_areacl";
	public static final String WLDXPK = "wldxpk";
	public static final String ESTFLAG = "estflag";
	public static final String PREPAY = "prepay";
	public static final String COSTCENTER = "costcenter";
	public static final String CASHACCOUNT = "cashaccount";
	// 发票号
	public static final String INVOICENO = "invoiceno";
	// 订单号
	public static final String PURCHASEORDER = "purchaseorder";
	// 合同号
	public static final String CONTRACTNO = "contractno";
	// 发票号
	// public static final String PREPAY = "prepay";
	// 单据状态
	public static final String BILLSTATUS = "billstatus";
	// 是否转入
	public static final String ISTRANSIN = "istransin";
	// 项目
	public static final String PROJECT = "project";
	// 项目任务
	public static final String PROJECT_TASK = "project_task";
	// 是否挂起
	public static final String PAUSETRANSACT = "pausetransact";
	public static final String INNERCTLDEFERDAYS = "innerctldeferdays";
	public static final String SUM_HEADMONEY = "sum_headmoney";
	public static final String SUM_ITEMMONEY = "sum_itemmoney";
	public static final String ISREFUND = "isrefund";// 是否退款
	public static final String FROZENSTATUS = "frozenstatus";
	public static final String SAGA_FROZEN = "saga_frozen";
	public static final String SAGA_STATUS = "saga_status";

	public String getProject_task() {
		return project_task;
	}

	public void setProject_task(String projectTask) {
		project_task = projectTask;
	}

	public String getProject() {
		return project;
	}

	public nc.vo.pub.lang.UFBoolean getPausetransact() {
		return pausetransact;
	}

	public void setPausetransact(nc.vo.pub.lang.UFBoolean pausetransact) {
		this.pausetransact = pausetransact;
	}

	public void setProject(String project) {
		this.project = project;
	}

	public nc.vo.pub.lang.UFBoolean getIstransin() {
		return istransin;
	}

	public void setIstransin(nc.vo.pub.lang.UFBoolean istransin) {
		this.istransin = istransin;
	}

	public nc.vo.pub.lang.UFDouble getPrice() {
		return this.price;
	}

	public void setPrice(nc.vo.pub.lang.UFDouble price) {
		this.price = price;
	}

	/**
	 * 属性pk_busidata的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_busidata() {
		return this.pk_busidata;
	}

	/**
	 * 属性pk_busidata的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_busidata java.lang.String
	 */
	public void setPk_busidata(java.lang.String newPk_busidata) {
		this.pk_busidata = newPk_busidata;
	}

	/**
	 * 属性pk_org的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_org() {
		return this.pk_org;
	}

	/**
	 * 属性pk_org的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_org java.lang.String
	 */
	public void setPk_org(java.lang.String newPk_org) {
		this.pk_org = newPk_org;
	}

	/**
	 * 属性pk_group的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_group() {
		return this.pk_group;
	}

	/**
	 * 属性pk_group的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_group java.lang.String
	 */
	public void setPk_group(java.lang.String newPk_group) {
		this.pk_group = newPk_group;
	}

	/**
	 * 属性pk_termitem的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_termitem() {
		return this.pk_termitem;
	}

	/**
	 * 属性pk_termitem的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_termitem java.lang.String
	 */
	public void setPk_termitem(java.lang.String newPk_termitem) {
		this.pk_termitem = newPk_termitem;
	}

	/**
	 * 属性pk_bill的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_bill() {
		return this.pk_bill;
	}

	/**
	 * 属性pk_bill的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_bill java.lang.String
	 */
	public void setPk_bill(java.lang.String newPk_bill) {
		this.pk_bill = newPk_bill;
	}

	/**
	 * 属性pk_item的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_item() {
		return this.pk_item;
	}

	/**
	 * 属性pk_item的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_item java.lang.String
	 */
	public void setPk_item(java.lang.String newPk_item) {
		this.pk_item = newPk_item;
	}

	/**
	 * 属性pk_billtype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_billtype() {
		return this.pk_billtype;
	}

	/**
	 * 属性pk_billtype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_billtype java.lang.String
	 */
	public void setPk_billtype(java.lang.String newPk_billtype) {
		this.pk_billtype = newPk_billtype;
	}

	/**
	 * 属性pk_tradetype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.String getPk_tradetype() {
		return this.pk_tradetype;
	}

	/**
	 * 属性pk_tradetype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_tradetype java.lang.Integer
	 */
	public void setPk_tradetype(java.lang.String newPk_tradetype) {
		this.pk_tradetype = newPk_tradetype;
	}

	/**
	 * 属性pk_tradetype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.String getPk_tradetypeid() {
		return this.pk_tradetypeid;
	}

	/**
	 * 属性pk_tradetype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_tradetype java.lang.Integer
	 */
	public void setPk_tradetypeid(java.lang.String newPk_tradetypeid) {
		this.pk_tradetypeid = newPk_tradetypeid;
	}

	/**
	 * 属性billclass的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getBillclass() {
		return this.billclass;
	}

	/**
	 * 属性billclass的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newBillclass java.lang.String
	 */
	public void setBillclass(java.lang.String newBillclass) {
		this.billclass = newBillclass;
	}

	/**
	 * 属性expiredate的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDate
	 */
	public nc.vo.pub.lang.UFDate getExpiredate() {
		return this.expiredate;
	}

	/**
	 * 属性expiredate的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newExpiredate nc.vo.pub.lang.UFDate
	 */
	public void setExpiredate(nc.vo.pub.lang.UFDate newExpiredate) {
		this.expiredate = newExpiredate;
	}

	/**
	 * 属性isinit的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFBoolean
	 */
	public nc.vo.pub.lang.UFBoolean getIsinit() {
		return this.isinit;
	}

	/**
	 * 属性isinit的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newIsinit nc.vo.pub.lang.UFBoolean
	 */
	public void setIsinit(nc.vo.pub.lang.UFBoolean newIsinit) {
		this.isinit = newIsinit;
	}

	/**
	 * 属性billno的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getBillno() {
		return this.billno;
	}

	/**
	 * 属性billno的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newBillno java.lang.String
	 */
	public void setBillno(java.lang.String newBillno) {
		this.billno = newBillno;
	}

	/**
	 * 属性billdate的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDate
	 */
	public nc.vo.pub.lang.UFDate getBilldate() {
		return this.billdate;
	}

	/**
	 * 属性billdate的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newBilldate nc.vo.pub.lang.UFDate
	 */
	public void setBilldate(nc.vo.pub.lang.UFDate newBilldate) {
		this.billdate = newBilldate;
	}

	public nc.vo.pub.lang.UFDate getBusidate() {
		return busidate;
	}

	public void setBusidate(nc.vo.pub.lang.UFDate busidate) {
		this.busidate = busidate;
	}

	public nc.vo.pub.lang.UFDate getInner_effect_date() {
		return inner_effect_date;
	}

	public void setInner_effect_date(nc.vo.pub.lang.UFDate innerEffectDate) {
		inner_effect_date = innerEffectDate;
	}

	public java.lang.Integer getEffectstatus() {
		return effectstatus;
	}

	public void setEffectstatus(java.lang.Integer effectstatus) {
		this.effectstatus = effectstatus;
	}

	public nc.vo.pub.lang.UFDateTime getApprovedate() {
		return approvedate;
	}

	public void setApprovedate(nc.vo.pub.lang.UFDateTime approvedate) {
		this.approvedate = approvedate;
	}

	public nc.vo.pub.lang.UFDate getEffectdate() {
		return effectdate;
	}

	public void setEffectdate(nc.vo.pub.lang.UFDate effectdate) {
		this.effectdate = effectdate;
	}

	/**
	 * 属性syscode的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getSyscode() {
		return this.syscode;
	}

	/**
	 * 属性syscode的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSyscode java.lang.Integer
	 */
	public void setSyscode(java.lang.Integer newSyscode) {
		this.syscode = newSyscode;
	}

	/**
	 * 属性src_syscode的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getSrc_syscode() {
		return this.src_syscode;
	}

	/**
	 * 属性src_syscode的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSrc_syscode java.lang.Integer
	 */
	public void setSrc_syscode(java.lang.Integer newSrc_syscode) {
		this.src_syscode = newSrc_syscode;
	}

	/**
	 * 属性operator的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getOperator() {
		return this.operator;
	}

	/**
	 * 属性operator的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newOperator java.lang.String
	 */
	public void setOperator(java.lang.String newOperator) {
		this.operator = newOperator;
	}

	/**
	 * 属性approver的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getApprover() {
		return this.approver;
	}

	/**
	 * 属性approver的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newApprover java.lang.String
	 */
	public void setApprover(java.lang.String newApprover) {
		this.approver = newApprover;
	}

	/**
	 * 属性customer的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getCustomer() {
		return this.customer;
	}

	/**
	 * 属性customer的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newCustomer java.lang.String
	 */
	public void setCustomer(java.lang.String newCustomer) {
		this.customer = newCustomer;
	}

	/**
	 * 属性supplier的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSupplier() {
		return this.supplier;
	}

	/**
	 * 属性supplier的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSupplier java.lang.String
	 */
	public void setSupplier(java.lang.String newSupplier) {
		this.supplier = newSupplier;
	}

	/**
	 * 属性pk_deptid的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_deptid() {
		return this.pk_deptid;
	}

	/**
	 * 属性pk_deptid的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_deptid java.lang.String
	 */
	public void setPk_deptid(java.lang.String newPk_deptid) {
		this.pk_deptid = newPk_deptid;
	}

	/**
	 * 属性pk_psndoc的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_psndoc() {
		return this.pk_psndoc;
	}

	/**
	 * 属性pk_psndoc的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_psndoc java.lang.String
	 */
	public void setPk_psndoc(java.lang.String newPk_psndoc) {
		this.pk_psndoc = newPk_psndoc;
	}

	/**
	 * 属性pk_costsubj的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_costsubj() {
		return this.pk_costsubj;
	}

	/**
	 * 属性pk_costsubj的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_costsubj java.lang.String
	 */
	public void setPk_costsubj(java.lang.String newPk_costsubj) {
		this.pk_costsubj = newPk_costsubj;
	}

	/**
	 * 属性occupationmny的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getOccupationmny() {
		return this.occupationmny;
	}

	/**
	 * 属性occupationmny的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newOccupationmny nc.vo.pub.lang.UFDouble
	 */
	public void setOccupationmny(nc.vo.pub.lang.UFDouble newOccupationmny) {
		this.occupationmny = newOccupationmny;
	}

	/**
	 * 属性objtype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getObjtype() {
		return this.objtype;
	}

	/**
	 * 属性objtype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newObjtype java.lang.Integer
	 */
	public void setObjtype(java.lang.Integer newObjtype) {
		this.objtype = newObjtype;
	}

	/**
	 * 属性direction的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getDirection() {
		return this.direction;
	}

	/**
	 * 属性direction的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newDirection java.lang.Integer
	 */
	public void setDirection(java.lang.Integer newDirection) {
		this.direction = newDirection;
	}

	/**
	 * 属性pk_currtype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_currtype() {
		return this.pk_currtype;
	}

	/**
	 * 属性pk_currtype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_currtype java.lang.String
	 */
	public void setPk_currtype(java.lang.String newPk_currtype) {
		this.pk_currtype = newPk_currtype;
	}

	/**
	 * 属性rate的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getRate() {
		return this.rate;
	}

	/**
	 * 属性rate的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newRate nc.vo.pub.lang.UFDouble
	 */
	public void setRate(nc.vo.pub.lang.UFDouble newRate) {
		this.rate = newRate;
	}

	/**
	 * 属性grouprate的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGrouprate() {
		return this.grouprate;
	}

	/**
	 * 属性grouprate的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGrouprate nc.vo.pub.lang.UFDouble
	 */
	public void setGrouprate(nc.vo.pub.lang.UFDouble newGrouprate) {
		this.grouprate = newGrouprate;
	}

	/**
	 * 属性globalrate的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGlobalrate() {
		return this.globalrate;
	}

	/**
	 * 属性globalrate的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGlobalrate nc.vo.pub.lang.UFDouble
	 */
	public void setGlobalrate(nc.vo.pub.lang.UFDouble newGlobalrate) {
		this.globalrate = newGlobalrate;
	}

	/**
	 * 属性money_de的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getMoney_de() {
		return this.money_de;
	}

	/**
	 * 属性money_de的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newMoney_de nc.vo.pub.lang.UFDouble
	 */
	public void setMoney_de(nc.vo.pub.lang.UFDouble newMoney_de) {
		this.money_de = newMoney_de;
	}

	/**
	 * 属性local_money_de的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getLocal_money_de() {
		return this.local_money_de;
	}

	/**
	 * 属性local_money_de的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newLocal_money_de nc.vo.pub.lang.UFDouble
	 */
	public void setLocal_money_de(nc.vo.pub.lang.UFDouble newLocal_money_de) {
		this.local_money_de = newLocal_money_de;
	}

	/**
	 * 属性local_money_cr的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getLocal_money_cr() {
		return this.local_money_cr;
	}

	/**
	 * 属性local_money_cr的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newLocal_money_cr nc.vo.pub.lang.UFDouble
	 */
	public void setLocal_money_cr(nc.vo.pub.lang.UFDouble newLocal_money_cr) {
		this.local_money_cr = newLocal_money_cr;
	}

	/**
	 * 属性money_cr的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getMoney_cr() {
		return this.money_cr;
	}

	/**
	 * 属性money_cr的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newMoney_cr nc.vo.pub.lang.UFDouble
	 */
	public void setMoney_cr(nc.vo.pub.lang.UFDouble newMoney_cr) {
		this.money_cr = newMoney_cr;
	}

	/**
	 * 属性money_bal的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getMoney_bal() {
		return this.money_bal;
	}

	/**
	 * 属性money_bal的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newMoney_bal nc.vo.pub.lang.UFDouble
	 */
	public void setMoney_bal(nc.vo.pub.lang.UFDouble newMoney_bal) {
		this.money_bal = newMoney_bal;
	}

	/**
	 * 属性local_money_bal的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getLocal_money_bal() {
		return this.local_money_bal;
	}

	/**
	 * 属性local_money_bal的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newLocal_money_bal nc.vo.pub.lang.UFDouble
	 */
	public void setLocal_money_bal(nc.vo.pub.lang.UFDouble newLocal_money_bal) {
		this.local_money_bal = newLocal_money_bal;
	}

	/**
	 * 属性group_money_bal的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGroup_money_bal() {
		return this.group_money_bal;
	}

	/**
	 * 属性group_money_bal的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGroup_money_bal nc.vo.pub.lang.UFDouble
	 */
	public void setGroup_money_bal(nc.vo.pub.lang.UFDouble newGroup_money_bal) {
		this.group_money_bal = newGroup_money_bal;
	}

	/**
	 * 属性group_money_cr的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGroup_money_cr() {
		return this.group_money_cr;
	}

	/**
	 * 属性group_money_cr的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGroup_money_cr nc.vo.pub.lang.UFDouble
	 */
	public void setGroup_money_cr(nc.vo.pub.lang.UFDouble newGroup_money_cr) {
		this.group_money_cr = newGroup_money_cr;
	}

	/**
	 * 属性group_money_de的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGroup_money_de() {
		return this.group_money_de;
	}

	/**
	 * 属性group_money_de的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGroup_money_de nc.vo.pub.lang.UFDouble
	 */
	public void setGroup_money_de(nc.vo.pub.lang.UFDouble newGroup_money_de) {
		this.group_money_de = newGroup_money_de;
	}

	/**
	 * 属性global_money_bal的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGlobal_money_bal() {
		return this.global_money_bal;
	}

	/**
	 * 属性global_money_bal的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGlobal_money_bal nc.vo.pub.lang.UFDouble
	 */
	public void setGlobal_money_bal(nc.vo.pub.lang.UFDouble newGlobal_money_bal) {
		this.global_money_bal = newGlobal_money_bal;
	}

	/**
	 * 属性global_money_cr的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGlobal_money_cr() {
		return this.global_money_cr;
	}

	/**
	 * 属性global_money_cr的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGlobal_money_cr nc.vo.pub.lang.UFDouble
	 */
	public void setGlobal_money_cr(nc.vo.pub.lang.UFDouble newGlobal_money_cr) {
		this.global_money_cr = newGlobal_money_cr;
	}

	/**
	 * 属性global_money_de的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getGlobal_money_de() {
		return this.global_money_de;
	}

	/**
	 * 属性global_money_de的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newGlobal_money_de nc.vo.pub.lang.UFDouble
	 */
	public void setGlobal_money_de(nc.vo.pub.lang.UFDouble newGlobal_money_de) {
		this.global_money_de = newGlobal_money_de;
	}

	/**
	 * 属性quantity_de的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getQuantity_de() {
		return this.quantity_de;
	}

	/**
	 * 属性quantity_de的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newQuantity_de nc.vo.pub.lang.UFDouble
	 */
	public void setQuantity_de(nc.vo.pub.lang.UFDouble newQuantity_de) {
		this.quantity_de = newQuantity_de;
	}

	/**
	 * 属性quantity_cr的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getQuantity_cr() {
		return this.quantity_cr;
	}

	/**
	 * 属性quantity_cr的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newQuantity_cr nc.vo.pub.lang.UFDouble
	 */
	public void setQuantity_cr(nc.vo.pub.lang.UFDouble newQuantity_cr) {
		this.quantity_cr = newQuantity_cr;
	}

	/**
	 * 属性quantity_bal的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getQuantity_bal() {
		return this.quantity_bal;
	}

	/**
	 * 属性quantity_bal的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newQuantity_bal nc.vo.pub.lang.UFDouble
	 */
	public void setQuantity_bal(nc.vo.pub.lang.UFDouble newQuantity_bal) {
		this.quantity_bal = newQuantity_bal;
	}

	/**
	 * 属性material的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getMaterial() {
		return this.material;
	}

	/**
	 * 属性material的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newMaterial java.lang.String
	 */
	public void setMaterial(java.lang.String newMaterial) {
		this.material = newMaterial;
	}

	public java.lang.String getPk_subjcode() {
		return pk_subjcode;
	}

	public void setPk_subjcode(java.lang.String pkSubjcode) {
		pk_subjcode = pkSubjcode;
	}

	/**
	 * 属性ordercubasdoc的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getOrdercubasdoc() {
		return this.ordercubasdoc;
	}

	/**
	 * 属性ordercubasdoc的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newOrdercubasdoc java.lang.String
	 */
	public void setOrdercubasdoc(java.lang.String newOrdercubasdoc) {
		this.ordercubasdoc = newOrdercubasdoc;
	}

	/**
	 * 属性pk_balatype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_balatype() {
		return this.pk_balatype;
	}

	/**
	 * 属性pk_balatype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_balatype java.lang.String
	 */
	public void setPk_balatype(java.lang.String newPk_balatype) {
		this.pk_balatype = newPk_balatype;
	}

	/**
	 * 属性top_billid的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getTop_billid() {
		return this.top_billid;
	}

	/**
	 * 属性top_billid的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newTop_billid java.lang.String
	 */
	public void setTop_billid(java.lang.String newTop_billid) {
		this.top_billid = newTop_billid;
	}

	/**
	 * 属性top_itemid的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getTop_itemid() {
		return this.top_itemid;
	}

	/**
	 * 属性top_itemid的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newTop_itemid java.lang.String
	 */
	public void setTop_itemid(java.lang.String newTop_itemid) {
		this.top_itemid = newTop_itemid;
	}

	/**
	 * 属性top_billtype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getTop_billtype() {
		return this.top_billtype;
	}

	/**
	 * 属性top_billtype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newTop_billtype java.lang.String
	 */
	public void setTop_billtype(java.lang.String newTop_billtype) {
		this.top_billtype = newTop_billtype;
	}

	/**
	 * 属性pk_busitype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_busitype() {
		return this.pk_busitype;
	}

	/**
	 * 属性pk_busitype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_busitype java.lang.String
	 */
	public void setPk_busitype(java.lang.String newPk_busitype) {
		this.pk_busitype = newPk_busitype;
	}

	/**
	 * 属性dr的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getDr() {
		return this.dr;
	}

	/**
	 * 属性dr的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newDr java.lang.Integer
	 */
	public void setDr(java.lang.Integer newDr) {
		this.dr = newDr;
	}

	/**
	 * 属性ts的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFDateTime
	 */
	public nc.vo.pub.lang.UFDateTime getTs() {
		return this.ts;
	}

	/**
	 * 属性ts的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newTs nc.vo.pub.lang.UFDateTime
	 */
	public void setTs(nc.vo.pub.lang.UFDateTime newTs) {
		this.ts = newTs;
	}

	/**
	 * <p>
	 * 取得父VO主键字段.
	 * <p>
	 * 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getParentPKFieldName() {
		return null;
	}

	/**
	 * <p>
	 * 取得表主键.
	 * <p>
	 * 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getPKFieldName() {
		return "pk_busidata";
	}

	/**
	 * <p>
	 * 返回表名称.
	 * <p>
	 * 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	@Override
	public java.lang.String getTableName() {
		return TABLENAME;
	}

	public static java.lang.String defaultTableName() {
		return TABLENAME;
	}

	public boolean isDebt() {
		return this.getPk_billtype().equals("F0") || this.getPk_billtype().equals("F3")
				|| this.getPk_billtype().equals("23F0") || this.getPk_billtype().equals("23F3");
	}

	private HashMap<String, Object> attributes = new HashMap<String, Object>();

	// 结算原币余额
	public static final String SETT_LEFT_MONEY = "SETT_LEFT_MONEY";
	// 结算本币余额
	public static final String SETT_LEFT_LOCAL_MONEY = "SETT_LEFT_LOCAL_MONEY";
	// 结算原币金额
	public static final String SETT_MONEY = "SETT_MONEY";
	// 结算本币金额
	public static final String SETT_LOCAL_MONEY = "SETT_LOCAL_MONEY";
	// 结算数量
	public static final String SETT_QUANTITY = "SETT_QUANTITY";
	// 结算数量余额
	public static final String SETT_QUANTITY_LEFT = "SETT_QUANTITY_LEFT";
	// 原币金额
	public static final String MONEY = "MONEY";
	// 本币金额
	public static final String LOCAL_MONEY = "LOCAL_MONEY";
	// 数量
	public static final String QUANTITY = "quantity";
	// 单价
	public static final String PRICE = "price";
	// 折扣
	public static final String DISCTION = "DISCTION";
	// 表体ts
	public static final String BODYTS = "BODYTS";
	// 中币结算
	public static final String MID_SETT = "MID_SETT";
	// 本次结算
	public static final String THIS_SETT = "THIS_SETT";
	// 是否选中
	public static final String XZBZ = "xzbz";
	// 往来对象pK
	public static final String PK_OBJTYPE = "PK_OBJTYPE";
	// 辅表原币金额（包括借方和贷方）
	public static final String ZB_MONEY = "ZB_MONEY";
	// 汇总原币金额
	public static final String SUM_MONEY = "SUM_MONEY";
	// 汇总原币余额
	public static final String SUM_MONEY_BAL = "SUM_MONEY_BAL";

	public static final String MYDEFINESQL = "MYDEFINESQL";

	public static final String MONEY_BAL_UP = "MONEY_BAL";

	public static final String INSURANCE = "insurance";

	// 表名
	public static final String TABLENAME = "arap_busidata";

	private UFDouble dealMoney;

	public UFDouble getDealMoney() {
		return this.dealMoney;
	}

	public void setDealMoney(UFDouble dealMoney) {
		this.dealMoney = dealMoney;
	}

	@Override
	public Object getAttributeValue(String name) {
		if (this.isDefaultField(name)) {
			return super.getAttributeValue(name);
		}

		return attributes == null ? null : attributes.get(name);
	}

	@Override
	public void setAttributeValue(String name, Object value) {

		if (this.isDefaultField(name)) {
			if ("isinit".equals(name)) {
				// super.setAttributeValue(name,
				// UFBoolean.valueOf(value.toString()));

			} else {
				super.setAttributeValue(name, value);
			}
			return;
		}
		if (this.attributes == null) {
			this.attributes = new HashMap<String, Object>();
		}
		this.attributes.put(name, value);
	}

	private boolean isDefaultField(String name) {
		return attributeNames.contains(name);
	}

	/**
	 * 属性sett_org的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSett_org() {
		return this.sett_org;
	}

	/**
	 * 属性sett_org的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSett_org java.lang.String
	 */
	public void setSett_org(java.lang.String newSett_org) {
		this.sett_org = newSett_org;
	}

	/**
	 * 属性productline的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getProductline() {
		return this.productline;
	}

	/**
	 * 属性productline的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newProductline java.lang.String
	 */
	public void setProductline(java.lang.String newProductline) {
		this.productline = newProductline;
	}

	/**
	 * 属性so_ordertype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSo_ordertype() {
		return this.so_ordertype;
	}

	/**
	 * 属性so_ordertype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSo_ordertype java.lang.String
	 */
	public void setSo_ordertype(java.lang.String newSo_ordertype) {
		this.so_ordertype = newSo_ordertype;
	}

	/**
	 * 属性so_transtype的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSo_transtype() {
		return this.so_transtype;
	}

	/**
	 * 属性so_transtype的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSo_transtype java.lang.String
	 */
	public void setSo_transtype(java.lang.String newSo_transtype) {
		this.so_transtype = newSo_transtype;
	}

	/**
	 * 属性so_org的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSo_org() {
		return this.so_org;
	}

	/**
	 * 属性so_org的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSo_org java.lang.String
	 */
	public void setSo_org(java.lang.String newSo_org) {
		this.so_org = newSo_org;
	}

	/**
	 * 属性so_deptid的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSo_deptid() {
		return this.so_deptid;
	}

	/**
	 * 属性so_deptid的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSo_deptid java.lang.String
	 */
	public void setSo_deptid(java.lang.String newSo_deptid) {
		this.so_deptid = newSo_deptid;
	}

	/**
	 * 属性so_psndoc的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSo_psndoc() {
		return this.so_psndoc;
	}

	/**
	 * 属性so_psndoc的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSo_psndoc java.lang.String
	 */
	public void setSo_psndoc(java.lang.String newSo_psndoc) {
		this.so_psndoc = newSo_psndoc;
	}

	/**
	 * 属性headsubjcode的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getHeadsubjcode() {
		return this.headsubjcode;
	}

	/**
	 * 属性headsubjcode的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newHeadsubjcode java.lang.String
	 */
	public void setHeadsubjcode(java.lang.String newHeadsubjcode) {
		this.headsubjcode = newHeadsubjcode;
	}

	/**
	 * 属性subjcode的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getSubjcode() {
		return this.subjcode;
	}

	/**
	 * 属性subjcode的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newSubjcode java.lang.String
	 */
	public void setSubjcode(java.lang.String newSubjcode) {
		this.subjcode = newSubjcode;
	}

	/**
	 * 属性pk_pcorg的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_pcorg() {
		return this.pk_pcorg;
	}

	/**
	 * 属性pk_pcorg的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_pcorg java.lang.String
	 */
	public void setPk_pcorg(java.lang.String newPk_pcorg) {
		this.pk_pcorg = newPk_pcorg;
	}

	/**
	 * 属性pu_org的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPu_org() {
		return this.pu_org;
	}

	/**
	 * 属性pu_org的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPu_org java.lang.String
	 */
	public void setPu_org(java.lang.String newPu_org) {
		this.pu_org = newPu_org;
	}

	/**
	 * 属性pu_deptid的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPu_deptid() {
		return this.pu_deptid;
	}

	/**
	 * 属性pu_deptid的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPu_deptid java.lang.String
	 */
	public void setPu_deptid(java.lang.String newPu_deptid) {
		this.pu_deptid = newPu_deptid;
	}

	/**
	 * 属性pu_psndoc的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPu_psndoc() {
		return this.pu_psndoc;
	}

	/**
	 * 属性pu_psndoc的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPu_psndoc java.lang.String
	 */
	public void setPu_psndoc(java.lang.String newPu_psndoc) {
		this.pu_psndoc = newPu_psndoc;
	}

	/**
	 * 属性insurance的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return nc.vo.pub.lang.UFBoolean
	 */
	public nc.vo.pub.lang.UFBoolean getInsurance() {
		return this.insurance;
	}

	/**
	 * 属性insurance的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newInsurance nc.vo.pub.lang.UFBoolean
	 */
	public void setInsurance(nc.vo.pub.lang.UFBoolean newInsurance) {
		this.insurance = newInsurance;
	}

	/**
	 * 属性pk_areacl的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.String
	 */
	public java.lang.String getPk_areacl() {
		return this.pk_areacl;
	}

	/**
	 * 属性pk_areacl的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newPk_areacl java.lang.String
	 */
	public void setPk_areacl(java.lang.String newPk_areacl) {
		this.pk_areacl = newPk_areacl;
	}

	/**
	 * 属性estflag的Getter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @return java.lang.Integer
	 */
	public java.lang.Integer getEstflag() {
		return this.estflag;
	}

	/**
	 * 属性estflag的Setter方法. 创建日期:2010-01-20 15:36:53
	 * 
	 * @param newEstflag java.lang.Integer
	 */
	public void setEstflag(java.lang.Integer newEstflag) {
		this.estflag = newEstflag;
	}

	/**
	 * 属性innerctldeferdays的Getter方法. 创建日期:
	 * 
	 * @return nc.vo.pub.lang.UFDate
	 */
	public nc.vo.pub.lang.UFDate getInnerctldeferdays() {
		return innerctldeferdays;
	}

	/**
	 * 属性innerctldeferdays的Setter方法. 创建日期:
	 * 
	 * @param newInnerctldeferdays nc.vo.pub.lang.UFDate
	 */
	public void setInnerctldeferdays(nc.vo.pub.lang.UFDate newInnerctldeferdays) {
		this.innerctldeferdays = newInnerctldeferdays;
	}

	/**
	 * 属性sum_headmoney的Getter方法. 创建日期:
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getSum_headmoney() {
		return sum_headmoney;
	}

	/**
	 * 属性sum_headmoney的Setter方法. 创建日期:
	 * 
	 * @param newSum_headmoney nc.vo.pub.lang.UFDouble
	 */
	public void setSum_headmoney(nc.vo.pub.lang.UFDouble newSum_headmoney) {
		this.sum_headmoney = newSum_headmoney;
	}

	/**
	 * 属性sum_itemmoney的Getter方法. 创建日期:
	 * 
	 * @return nc.vo.pub.lang.UFDouble
	 */
	public nc.vo.pub.lang.UFDouble getSum_itemmoney() {
		return sum_itemmoney;
	}

	/**
	 * 属性sum_itemmoney的Setter方法. 创建日期:
	 * 
	 * @param newSum_itemmoney nc.vo.pub.lang.UFDouble
	 */
	public void setSum_itemmoney(nc.vo.pub.lang.UFDouble newSum_itemmoney) {
		this.sum_itemmoney = newSum_itemmoney;
	}

	public java.lang.String getH_def30() {
		return h_def30;
	}

	public void setH_def30(java.lang.String hDef30) {
		h_def30 = hDef30;
	}

	public java.lang.String getH_def29() {
		return h_def29;
	}

	public void setH_def29(java.lang.String hDef29) {
		h_def29 = hDef29;
	}

	public java.lang.String getH_def28() {
		return h_def28;
	}

	public void setH_def28(java.lang.String hDef28) {
		h_def28 = hDef28;
	}

	public java.lang.String getH_def27() {
		return h_def27;
	}

	public void setH_def27(java.lang.String hDef27) {
		h_def27 = hDef27;
	}

	public java.lang.String getH_def26() {
		return h_def26;
	}

	public void setH_def26(java.lang.String hDef26) {
		h_def26 = hDef26;
	}

	public java.lang.String getH_def25() {
		return h_def25;
	}

	public void setH_def25(java.lang.String hDef25) {
		h_def25 = hDef25;
	}

	public java.lang.String getH_def24() {
		return h_def24;
	}

	public void setH_def24(java.lang.String hDef24) {
		h_def24 = hDef24;
	}

	public java.lang.String getH_def23() {
		return h_def23;
	}

	public void setH_def23(java.lang.String hDef23) {
		h_def23 = hDef23;
	}

	public java.lang.String getH_def22() {
		return h_def22;
	}

	public void setH_def22(java.lang.String hDef22) {
		h_def22 = hDef22;
	}

	public java.lang.String getH_def21() {
		return h_def21;
	}

	public void setH_def21(java.lang.String hDef21) {
		h_def21 = hDef21;
	}

	public java.lang.String getH_def20() {
		return h_def20;
	}

	public void setH_def20(java.lang.String hDef20) {
		h_def20 = hDef20;
	}

	public java.lang.String getH_def19() {
		return h_def19;
	}

	public void setH_def19(java.lang.String hDef19) {
		h_def19 = hDef19;
	}

	public java.lang.String getH_def18() {
		return h_def18;
	}

	public void setH_def18(java.lang.String hDef18) {
		h_def18 = hDef18;
	}

	public java.lang.String getH_def17() {
		return h_def17;
	}

	public void setH_def17(java.lang.String hDef17) {
		h_def17 = hDef17;
	}

	public java.lang.String getH_def16() {
		return h_def16;
	}

	public void setH_def16(java.lang.String hDef16) {
		h_def16 = hDef16;
	}

	public java.lang.String getH_def15() {
		return h_def15;
	}

	public void setH_def15(java.lang.String hDef15) {
		h_def15 = hDef15;
	}

	public java.lang.String getH_def14() {
		return h_def14;
	}

	public void setH_def14(java.lang.String hDef14) {
		h_def14 = hDef14;
	}

	public java.lang.String getH_def13() {
		return h_def13;
	}

	public void setH_def13(java.lang.String hDef13) {
		h_def13 = hDef13;
	}

	public java.lang.String getH_def12() {
		return h_def12;
	}

	public void setH_def12(java.lang.String hDef12) {
		h_def12 = hDef12;
	}

	public java.lang.String getH_def11() {
		return h_def11;
	}

	public void setH_def11(java.lang.String hDef11) {
		h_def11 = hDef11;
	}

	public java.lang.String getH_def10() {
		return h_def10;
	}

	public void setH_def10(java.lang.String hDef10) {
		h_def10 = hDef10;
	}

	public java.lang.String getH_def9() {
		return h_def9;
	}

	public void setH_def9(java.lang.String hDef9) {
		h_def9 = hDef9;
	}

	public java.lang.String getH_def8() {
		return h_def8;
	}

	public void setH_def8(java.lang.String hDef8) {
		h_def8 = hDef8;
	}

	public java.lang.String getH_def7() {
		return h_def7;
	}

	public void setH_def7(java.lang.String hDef7) {
		h_def7 = hDef7;
	}

	public java.lang.String getH_def6() {
		return h_def6;
	}

	public void setH_def6(java.lang.String hDef6) {
		h_def6 = hDef6;
	}

	public java.lang.String getH_def5() {
		return h_def5;
	}

	public void setH_def5(java.lang.String hDef5) {
		h_def5 = hDef5;
	}

	public java.lang.String getH_def4() {
		return h_def4;
	}

	public void setH_def4(java.lang.String hDef4) {
		h_def4 = hDef4;
	}

	public java.lang.String getH_def3() {
		return h_def3;
	}

	public void setH_def3(java.lang.String hDef3) {
		h_def3 = hDef3;
	}

	public java.lang.String getH_def2() {
		return h_def2;
	}

	public void setH_def2(java.lang.String hDef2) {
		h_def2 = hDef2;
	}

	public java.lang.String getH_def1() {
		return h_def1;
	}

	public void setH_def1(java.lang.String hDef1) {
		h_def1 = hDef1;
	}

	public java.lang.String getDef30() {
		return def30;
	}

	public void setDef30(java.lang.String def30) {
		this.def30 = def30;
	}

	public java.lang.String getDef29() {
		return def29;
	}

	public void setDef29(java.lang.String def29) {
		this.def29 = def29;
	}

	public java.lang.String getDef28() {
		return def28;
	}

	public void setDef28(java.lang.String def28) {
		this.def28 = def28;
	}

	public java.lang.String getDef27() {
		return def27;
	}

	public void setDef27(java.lang.String def27) {
		this.def27 = def27;
	}

	public java.lang.String getDef26() {
		return def26;
	}

	public void setDef26(java.lang.String def26) {
		this.def26 = def26;
	}

	public java.lang.String getDef25() {
		return def25;
	}

	public void setDef25(java.lang.String def25) {
		this.def25 = def25;
	}

	public java.lang.String getDef24() {
		return def24;
	}

	public void setDef24(java.lang.String def24) {
		this.def24 = def24;
	}

	public java.lang.String getDef23() {
		return def23;
	}

	public void setDef23(java.lang.String def23) {
		this.def23 = def23;
	}

	public java.lang.String getDef22() {
		return def22;
	}

	public void setDef22(java.lang.String def22) {
		this.def22 = def22;
	}

	public java.lang.String getDef21() {
		return def21;
	}

	public void setDef21(java.lang.String def21) {
		this.def21 = def21;
	}

	public java.lang.String getDef20() {
		return def20;
	}

	public void setDef20(java.lang.String def20) {
		this.def20 = def20;
	}

	public java.lang.String getDef19() {
		return def19;
	}

	public void setDef19(java.lang.String def19) {
		this.def19 = def19;
	}

	public java.lang.String getDef18() {
		return def18;
	}

	public void setDef18(java.lang.String def18) {
		this.def18 = def18;
	}

	public java.lang.String getDef17() {
		return def17;
	}

	public void setDef17(java.lang.String def17) {
		this.def17 = def17;
	}

	public java.lang.String getDef16() {
		return def16;
	}

	public void setDef16(java.lang.String def16) {
		this.def16 = def16;
	}

	public java.lang.String getDef15() {
		return def15;
	}

	public void setDef15(java.lang.String def15) {
		this.def15 = def15;
	}

	public java.lang.String getDef14() {
		return def14;
	}

	public void setDef14(java.lang.String def14) {
		this.def14 = def14;
	}

	public java.lang.String getDef13() {
		return def13;
	}

	public void setDef13(java.lang.String def13) {
		this.def13 = def13;
	}

	public java.lang.String getDef12() {
		return def12;
	}

	public void setDef12(java.lang.String def12) {
		this.def12 = def12;
	}

	public java.lang.String getDef11() {
		return def11;
	}

	public void setDef11(java.lang.String def11) {
		this.def11 = def11;
	}

	public java.lang.String getDef10() {
		return def10;
	}

	public void setDef10(java.lang.String def10) {
		this.def10 = def10;
	}

	public java.lang.String getDef9() {
		return def9;
	}

	public void setDef9(java.lang.String def9) {
		this.def9 = def9;
	}

	public java.lang.String getDef8() {
		return def8;
	}

	public void setDef8(java.lang.String def8) {
		this.def8 = def8;
	}

	public java.lang.String getDef7() {
		return def7;
	}

	public void setDef7(java.lang.String def7) {
		this.def7 = def7;
	}

	public java.lang.String getDef6() {
		return def6;
	}

	public void setDef6(java.lang.String def6) {
		this.def6 = def6;
	}

	public java.lang.String getDef5() {
		return def5;
	}

	public void setDef5(java.lang.String def5) {
		this.def5 = def5;
	}

	public java.lang.String getDef4() {
		return def4;
	}

	public void setDef4(java.lang.String def4) {
		this.def4 = def4;
	}

	public java.lang.String getDef3() {
		return def3;
	}

	public void setDef3(java.lang.String def3) {
		this.def3 = def3;
	}

	public java.lang.String getDef2() {
		return def2;
	}

	public void setDef2(java.lang.String def2) {
		this.def2 = def2;
	}

	public java.lang.String getDef1() {
		return def1;
	}

	public void setDef1(java.lang.String def1) {
		this.def1 = def1;
	}

	public String getLinkedPk() {
		return linkedPk;
	}

	public void setLinkedPk(String linkedPk) {
		this.linkedPk = linkedPk;
	}

	public String getPk_recpaytype() {
		return pk_recpaytype;
	}

	public void setPk_recpaytype(String pk_recpaytype) {
		this.pk_recpaytype = pk_recpaytype;
	}

	public nc.vo.pub.lang.UFBoolean getIsEditMoney() {
		return isEditMoney;
	}

	public void setIsEditMoney(nc.vo.pub.lang.UFBoolean isEditMoney) {
		this.isEditMoney = isEditMoney;
	}

	public Integer getSaga_frozen() {
		return saga_frozen;
	}

	public void setSaga_frozen(Integer saga_frozen) {
		this.saga_frozen = saga_frozen;
	}

	public Integer getSaga_status() {
		return saga_status;
	}

	public void setSaga_status(Integer saga_status) {
		this.saga_status = saga_status;
	}

}

//ciUPkyh2ajCsLH3B/LqV/pwC3ZWlShL5FML3nqwPODSMsMJCvRP+N9WpYvVosl2H